Subject: Re: [rtcweb] JSEP: Imageattr and CVO

From: Magnus Westerlund <[email-masked]>
Date: Tue, 14 Jul 2015 18:34:09 +0200

Hi,

3GPP SA4 had a meeting last week. Current status is that the issue is 
recognized in 3GPP SA4 and the required detailed changes to 3GPP TS 
26.114 are being worked out. Their next meeting is 24 - 28 Aug 2015.

Cheers

Magnus

Magnus Westerlund skrev den 2015-06-22 11:34:
> Hi,
>
> I got an action point at the interim to check on what 3GPP and GSMA says
> about their usage of a=imageattr and CVO (Coordination of Video
> Orientation).
>
> 3GPP SA4 in TS 26.114 (Which defines CVO) there is discussion about the
> usage of a=imageattr when a endpoint is not CVO capable, but it appears
> to fail to be explicit about interpretation of imageattr when using CVO.
> As the text says that for a non CVO capable endpoint one have to express
> both orientations (x,y) and (y,x) in imageattr and perform the rotation
> prior to encoding.
>
> This appear to support the proposed interpretation for JSEP, i.e. that
> one expresses the supported max resolution without rotation using
> imageattr.
>
> Bo Burman intend to prepare an contribution to 3GPP SA4 in their
> upcoming meeting in two weeks time and see if SA4 can come to agreement
> on this interpretation and write it into their specifications. So in
> time for Prague we will hopefully be able to conclude on this.
>
> Cheers
>
> Magnus Westerlund
>
> ----------------------------------------------------------------------
> Services, Media and Network features, Ericsson Research EAB/TXM
> ----------------------------------------------------------------------
> Ericsson AB                 | Phone  +46 10 7148287
> Färögatan 6                 | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------